
-- 创建聚簇健列
prompt 
prompt 创建聚簇健列
create cluster emp_dept_cluster
(deptno number(2))
size 1024
/

-- 创建聚簇健索引
prompt 
prompt 创建聚簇健索引
create index emp_dept_cluster_idx on cluster emp_dept_cluster 
/

-- 在聚簇中创建表
prompt 
prompt 在聚簇中创建dept表
create table dept 
(
    deptno    number(2)  primary key,
    dname     varchar2(14),
    loc       varchar2(13)
)
cluster emp_dept_cluster(deptno)
/

-- 在聚簇中创建emp表
prompt 
prompt 在聚簇中创建emp表
create table eoda.emp_cluster_index 
(
    empno     number primary key,
    ename     varchar2(10),
    job       varchar2(9),
    mgr       number,
    hiredate  date,
    sal       number,
    comm      number,
    deptno    number(2)  references  dept(deptno)
)
cluster emp_dept_cluster(deptno)
/
